Skip to main content

Check Status


Overview

Send check status requests for a pending sale to know when the sale is settled. A settled status verifies that the payment is complete. A check status request must include the sale request ID from the sale response. Before you send a request, complete the prerequisites in Get Started with Tink Pay by Bank, including your merchant ID and REST API security key.

Endpoints

POST /pts/v2/refresh-payment-status/{id}

POST /pts/v2/refresh-payment-status/{id}

Set the {id} to the sale request ID. The sale request ID is the id field value in the sale response.

See Endpoints for the full per-brand Server URLs reference.

Example

{    "clientReferenceInformation": {        "code": "refnum-1234"    },    "paymentInformation": {        "paymentType": {            "method": {                "name": "tinkPayByBank"            },            "name": "bankTransfer"        }    }}
{    "processorInformation": {        "responseCode": "00001"    },    "clientReferenceInformation": {        "code": "refnum-1234"    },    "reconciliationId": "KOVYTDIN81U4",    "message": "Request was processed successfully.",    "orderInformation": {        "billTo": {            "firstName": "John",            "lastName": "Smith"        }    },    "status": "PENDING",    "id": "7537264982366836004805",    "submitTimeUtc": "2025-07-28T18:14:58Z"}

A failed check status request returns a response like this:

{    "reason": "TAX_ERROR",    "processorInformation": {        "responseCode": "30600",        "responseDetails": "Tax Error"    },    "reconciliationId": "failed30600",    "message": "Processor is not able to complete the payment transaction due to tax errors.",    "status": "FAILED",    "id": "7471512734131234567890",    "submitTimeUtc": "2022-06-15T18:07:11Z"}
FieldTypeDescription
paymentInformation.paymentType.method.nameSet to tinkPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to [AP_STATUS].
Optional Fields
FieldTypeDescription
clientReferenceInformation.codeSet to a unique value for internal tracking.
clientReferenceInformation.reconciliationId

Response Statuses

responds to your request with one of these statuses in the status field:

  • CANCELLED: The customer did not complete checkout using the redirect URL.
  • FAILED: The sale request is unsuccessful. This could indicate invalid fields or missing fields in the request.
  • PENDING: The sale request is successful and is currently processing. Send check status requests until the status updates.
  • SETTLE_INITIATED: The customer completed checkout, and Tink Pay by Bank is processing the sale.
  • SETTLED: The sale is complete. You can confirm the purchase with the customer.

Last published: September 29, 2026